import weflayr
client = weflayr.client() # reads WEFLAYR_API_KEY
client.get_tags(include_run_tags=True, include_customer_tags=True)
const weflayr = require('weflayr');
const client = weflayr.client(); // reads WEFLAYR_API_KEY
await weflayr.api.getTags({
client,
throwOnError: true,
query: { includeRunTags: true, includeCustomerTags: true },
});
curl "https://app.weflayr.com/api/tags/" \
-H "Authorization: Bearer $WEFLAYR_API_KEY"
{
"run_tags": {"environment": ["production", "staging"]},
"customer_tags": {"plan": ["enterprise", "free"], "region": ["EU", "US"]}
}
Project
Get tags
Get every tag key and value seen on the project.
GET
/
api
/
tags
/
import weflayr
client = weflayr.client() # reads WEFLAYR_API_KEY
client.get_tags(include_run_tags=True, include_customer_tags=True)
const weflayr = require('weflayr');
const client = weflayr.client(); // reads WEFLAYR_API_KEY
await weflayr.api.getTags({
client,
throwOnError: true,
query: { includeRunTags: true, includeCustomerTags: true },
});
curl "https://app.weflayr.com/api/tags/" \
-H "Authorization: Bearer $WEFLAYR_API_KEY"
{
"run_tags": {"environment": ["production", "staging"]},
"customer_tags": {"plan": ["enterprise", "free"], "region": ["EU", "US"]}
}
Get the
{key: list[string]} facets of every tag dimension seen on the project. It concerns both run tags (the metadata you attach to your LLM calls) and customer tags.
Parameters
boolean
default:"true"
Include run-tag facets. When
false, run_tags is an empty object.boolean
default:"true"
Include customer-tag facets. When
false, customer_tags is an empty object.import weflayr
client = weflayr.client() # reads WEFLAYR_API_KEY
client.get_tags(include_run_tags=True, include_customer_tags=True)
const weflayr = require('weflayr');
const client = weflayr.client(); // reads WEFLAYR_API_KEY
await weflayr.api.getTags({
client,
throwOnError: true,
query: { includeRunTags: true, includeCustomerTags: true },
});
curl "https://app.weflayr.com/api/tags/" \
-H "Authorization: Bearer $WEFLAYR_API_KEY"
{
"run_tags": {"environment": ["production", "staging"]},
"customer_tags": {"plan": ["enterprise", "free"], "region": ["EU", "US"]}
}